Encryption Protectors - Create Or Update

既存の暗号化保護機能を更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/encryptionProtector/current?api-version=2025-01-01

URI パラメーター

名前 / 必須 説明
encryptionProtectorName
path True

EncryptionProtectorName

取得する暗号化保護機能の名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
properties.serverKeyType True

ServerKeyType

"ServiceManaged"、"AzureKeyVault" などの暗号化保護機能の種類。

properties.autoRotationEnabled

boolean

キー自動ローテーションオプトイン フラグ。 true または false のいずれか。

properties.serverKeyName

string

サーバー キーの名前。

応答

名前 説明
200 OK

EncryptionProtector

リソース「EncryptionProtector」更新操作が成功しました

202 Accepted

リソース操作が受け入れられます。

ヘッダー

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Update the encryption protector to key vault
Update the encryption protector to key vault with versionless key
Update the encryption protector to service managed

Update the encryption protector to key vault

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01

{
  "properties": {
    "autoRotationEnabled": false,
    "serverKeyName": "someVault_someKey_01234567890123456789012345678901",
    "serverKeyType": "AzureKeyVault"
  }
}

応答のサンプル

{
  "name": "current",
  "type": "Microsoft.Sql/servers/encryptionProtector",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
  "kind": "azurekeyvault",
  "location": "West US",
  "properties": {
    "autoRotationEnabled": false,
    "serverKeyName": "someVault_someKey_01234567890123456789012345678901",
    "serverKeyType": "AzureKeyVault"
  }
}

Update the encryption protector to key vault with versionless key

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01

{
  "properties": {
    "autoRotationEnabled": false,
    "serverKeyName": "someVault_someKey",
    "serverKeyType": "AzureKeyVault"
  }
}

応答のサンプル

{
  "name": "current",
  "type": "Microsoft.Sql/servers/encryptionProtector",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
  "kind": "azurekeyvault",
  "location": "West US",
  "properties": {
    "autoRotationEnabled": false,
    "keyVersion": "01234567890123456789012345678901",
    "serverKeyName": "someVault_someKey",
    "serverKeyType": "AzureKeyVault"
  }
}

Update the encryption protector to service managed

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01

{
  "properties": {
    "serverKeyName": "ServiceManaged",
    "serverKeyType": "ServiceManaged"
  }
}

応答のサンプル

{
  "name": "current",
  "type": "Microsoft.Sql/servers/encryptionProtector",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
  "kind": "servicemanaged",
  "location": "West US",
  "properties": {
    "serverKeyName": "ServiceManaged",
    "serverKeyType": "ServiceManaged"
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

EncryptionProtector

サーバー暗号化保護機能。

EncryptionProtectorName
ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

ServerKeyType

"ServiceManaged"、"AzureKeyVault" などの暗号化保護機能の種類。

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

EncryptionProtector

サーバー暗号化保護機能。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

暗号化保護機能の種類。 これはAzureポータル体験で使用されるメタデータです。

location

string

リソースの場所。

name

string

リソースの名前

properties.autoRotationEnabled

boolean

キー自動ローテーションオプトイン フラグ。 true または false のいずれか。

properties.keyVersion

string

暗号化保護機能として使用されているサーバー鍵のバージョン

properties.serverKeyName

string

サーバー キーの名前。

properties.serverKeyType

ServerKeyType

"ServiceManaged"、"AzureKeyVault" などの暗号化保護機能の種類。

properties.subregion

string

暗号化保護機能のサブ領域。

properties.thumbprint

string

サーバー キーの拇印。

properties.uri

string

サーバー キーの URI。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

EncryptionProtectorName

説明
current

現在

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

ServerKeyType

"ServiceManaged"、"AzureKeyVault" などの暗号化保護機能の種類。

説明
ServiceManaged

ServiceManaged

AzureKeyVault

AzureKeyVault

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。